POST new/customwork/getFlowDetail

获取流程数据

Request Information

URI Parameters

None.

Body Parameters

FormDetailModel
NameDescriptionTypeAdditional information
formId

integer

None.

formName

string

None.

formType

表单类型

integer

None.

statusId

integer

None.

statusName

string

None.

title

string

None.

ownerOrgId

integer

None.

ownerOrgName

string

None.

ownerUser

integer

None.

ownerUserName

string

None.

postId

integer

None.

buttonId

integer

None.

backFlowId

integer

None.

orgId

integer

None.

draftNum

integer

None.

isDraft

是否是草稿

boolean

None.

copyFormIds

芝机(芝浦)专用:允许「复制」的表单 Id 清单。 只有 AppId=芝机 且登录人是职员时返回 [505332258854496],其他租户/身份返回空数组。 前端据此决定是否在「关联表单」列表项后渲染复制按钮(空数组 = 不渲染,别家 DOM 零变化)。

Collection of integer

None.

fieldList

字段list

Collection of CustomFieldEntity

None.

postFieldList

提交字段list

Collection of CustomPostFieldEntity

None.

buttonList

按钮list

Collection of ButtonModel

None.

statusList

状态list

Collection of CustomWorkStatusEntity

None.

logList

log list

Collection of CustomLogEntity

None.

backFlowList

退回节点 list

Collection of CommonModel

None.

flowList

节点 list

Collection of CustomPostFlowEntity

None.

orgList

部门 list

Collection of CommonModel

None.

code

string

None.

workHandleTime

date

None.

createTime

date

None.

isEnabledTime

boolean

None.

isTaff

是否是职员

boolean

None.

busId

业务id

integer

None.

busType

业务类型 101代表关联数据中-关联自定义表单 102:东耀的客户组件业务

integer

None.

isPost

是否已提交过

boolean

None.

jumpUrl

提交后跳转

string

None.

isResubmit

boolean

None.

isHaveConditions

boolean

None.

flowId

integer

None.

isAutoPass

boolean

None.

cpId

integer

None.

isProjectReport

boolean

None.

OK

boolean

None.

Msg

string

None.

UpdateTime

表单更新时间

date

None.

isOpenView

boolean

None.

buttonConfig

CommonModel

None.

currentButton

当前按钮

ButtonModel

None.

templateConfig

string

None.

optionLinkage

Collection of OptionLinkageRule

None.

displayConditionConfig

string

None.

publicButtonEnabled

公共按钮开关

boolean

None.

publicButton

Collection of NodeUserModel

None.

publicButtonJson

string

None.

Assign

发起者节点初始按钮配置

Collection of CommonModel

None.

pushUser

integer

None.

WeComButtonType

企微回写专用:节点未配置按钮时按此类型直接构造按钮(1=同意 2=拒绝 0=不使用,手机端不传)。 与 Handle 内 OA 自动通过构造模拟按钮同一做法。

integer

None.

WeComOperator

企微回写专用:真实操作人的企微 userid(写进审批日志,区分于系统用户)。

string

None.

Request Formats

application/json

Sample:

An exception has occurred while using the formatter 'JsonMediaTypeFormatter' to generate sample for media type 'application/json'. Exception message: Self referencing loop detected with type 'ma.Model.EntityModel.CustomWork.CustomFieldEntity'. Path 'fieldList[0].items'.

text/json

Sample:

An exception has occurred while using the formatter 'JsonMediaTypeFormatter' to generate sample for media type 'text/json'. Exception message: Self referencing loop detected with type 'ma.Model.EntityModel.CustomWork.CustomFieldEntity'. Path 'fieldList[0].items'.

application/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'application/xml'. Exception message: “System.Collections.Generic.List`1[[ma.Model.EntityModel.CustomWork.CustomFieldEntity, ma.Model, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null]]”类型的对象图包含循环,如果禁用引用跟踪,择无法对其进行序列化。

text/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'text/xml'. Exception message: “System.Collections.Generic.List`1[[ma.Model.EntityModel.CustomWork.CustomFieldEntity, ma.Model, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null]]”类型的对象图包含循环,如果禁用引用跟踪,择无法对其进行序列化。

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'FormDetailModel'.

Response Information

Resource Description

ApiDataResponse
NameDescriptionTypeAdditional information
Ok

接口是否成功。

boolean

None.

Data

返回数据。

Object

None.

Msg

返回消息。

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Ok": true,
  "Data": {},
  "Msg": "sample string 3"
}

application/xml, text/xml

Sample:
<ApiDataResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ma.Api.Controllers.Dtos">
  <Data />
  <Msg>sample string 3</Msg>
  <Ok>true</Ok>
</ApiDataResponse>